// 使用全局变量计算100以内累加和。
#include <stdio.h>

int add(int n)
{
    static int total = 0; // 只定义一次静态变量
    total += n;           // 将局部变量 n 的值累加到 total 全局变量

    // printf("total = %d\n", total);
    return total;
}

int main(int argc, char const *argv[])
{
    int sum;
    for (int i = 1; i <= 100; i++)
        sum = add(i);

    printf("100 以内的整数和: %d\n", sum);
    return 0;
}