### 静态库生成

```bash
# 汇编源文件 xxx.c ---> xxx.o
gcc -c xxx.c -o xxx.o
# 使用汇编后的源文件生成静态库 xxx.o ---> libxxx.a
ar rc libxxx.a xxx.o
```

### 静态库的使用

```bash
# 生成可执行文件 a.out
gcc -static test.c -L/home/.../libs -lxxx -I/home/.../includes
# 生成自定义可执行文件 test
gcc -static test.c -o test -L/home/.../libs -lxxx -I/home/.../includes
# 生成自定义可执行文件 test 并使用相对依赖路径
gcc -static test.c -o test -L./my/libs -lmy -I./my/includes
```
